=== debian/changelog ===
kf5-kdepim-apps-libs (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Jul 2016 08:54:28 +0200

kf5-kdepim-apps-libs (4:16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Thu, 30 Jun 2016 14:15:35 +0200

kf5-kdepim-apps-libs (4:16.04.1-1) experimental; urgency=medium

  * Initial release.
  * Update symbols files.
  * Add missing breaks/replaces
  * Add -dev dependencies needed by the cmake file
  * Add upstream patch: upstream_add_copying_files.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 04 Jun 2016 22:27:14 +0200
