=== debian/control ===
Source: kf5-kdepim-apps-libs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadicontact-dev (>= 5.2.0~),
               libkf5akonadimime-dev (>= 5.2.0~),
               libkf5completion-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 5.2.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5grantleetheme-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.19.0~),
               libkf5libkleo-dev (>= 5.2.0~),
               libkf5mime-dev (>= 5.2.0~),
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5pimtextedit-dev (>= 5.2.0~),
               libkf5service-dev (>= 5.19.0~),
               libkf5sonnet-dev (>= 5.19.0~),
               libkf5webkit-dev (>= 5.19.0~),
               libkf5widgetsaddons-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-apps-libs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-apps-libs.git

Package: kf5-kdepim-apps-libs-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5composereditorng5 (<= 4:16.04)
Replaces: libkf5composereditorng5 (<= 4:16.04)
Description: KDE PIM mail related libraries, data files
 This package is part of the KDE PIM module.

Package: libkf5composereditorng5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: compose editor library
 This package is part of the KDE PIM module.

Package: libkf5composereditorng-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5composereditorng5 (= ${binary:Version}),
         libkf5webkit-dev (>= 5.19.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: compose editor library, devel files
 This package is part of the KDE PIM module.

Package: libkf5followupreminder5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5followupreminder-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5config-dev (>= 5.19.0~),
         libkf5followupreminder5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev (>= 5.0~),
         libkf5akonadicontact-dev (>= 5.2.0~),
         libkf5kaddressbookgrantlee5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 5.2.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library, devel files
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5sendlater5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: send later library
 This package is part of the KDE PIM module.

Package: libkf5sendlater-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5config-dev (>= 5.19.0~),
         libkf5sendlater5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: send later library, devel files
 This package is part of the KDE PIM module.
