## kf5-kdepim-apps-libs 16.04.3

=== debian/changelog ===
kf5-kdepim-apps-libs (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @d4ffe6c2c99f665a07aad791bfa3370c6e2aebac **

  * Initial release.
  * Update symbols files.
  * Add missing breaks/replaces

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Synced with Debian to get initial packaging
  * Updated VCS to point to correct git repo on Launchpad
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Multi-archify kf5-kdepim-apps-libs-data

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:34:53 +0200
