=== debian/control ===
--- 
+++ 
@@ -5,39 +5,40 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:5.2.0~),
-               libkf5akonadicontact-dev (>= 5.2.0~),
-               libkf5akonadimime-dev (>= 5.2.0~),
-               libkf5completion-dev (>= 5.19.0~),
-               libkf5config-dev (>= 5.19.0~),
-               libkf5contacts-dev (>= 5.2.0~),
-               libkf5coreaddons-dev (>= 5.19.0~),
-               libkf5dbusaddons-dev (>= 5.19.0~),
-               libkf5grantleetheme-dev (>= 5.2.0~),
-               libkf5i18n-dev (>= 5.19.0~),
-               libkf5iconthemes-dev (>= 5.19.0~),
-               libkf5libkleo-dev (>= 5.2.0~),
-               libkf5mime-dev (>= 5.2.0~),
-               libkf5pimcommon-dev (>= 5.2.0~),
-               libkf5pimtextedit-dev (>= 5.2.0~),
-               libkf5service-dev (>= 5.19.0~),
-               libkf5sonnet-dev (>= 5.19.0~),
-               libkf5webkit-dev (>= 5.19.0~),
-               libkf5widgetsaddons-dev (>= 5.19.0~),
-               libkf5xmlgui-dev (>= 5.19.0~),
+               libkf5akonadi-dev (>= 4:16.04.3~),
+               libkf5akonadicontact-dev (>= 4:16.04.3~),
+               libkf5akonadimime-dev (>= 4:16.04.3~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5contacts-dev (>= 4:16.04.3~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5grantleetheme-dev (>= 16.04.3~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5libkleo-dev (>= 4:16.04.3~),
+               libkf5mime-dev (>= 16.04.3~),
+               libkf5pimcommon-dev (>= 4:16.04.3~),
+               libkf5pimtextedit-dev (>= 16.04.3~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5sonnet-dev (>= 5.24.0~),
+               libkf5webkit-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                libqt5webkit5-dev (>= 5.4.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4.0~),
-               qttools5-dev (>= 5.4.0~)
+               qtbase5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-apps-libs.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-apps-libs.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs
 
 Package: kf5-kdepim-apps-libs-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: libkf5composereditorng5 (<= 4:16.04)
 Replaces: libkf5composereditorng5 (<= 4:16.04)
@@ -77,7 +78,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:5.2.0~),
+Depends: libkf5akonadi-dev (>= 4:16.04.3~),
          libkf5config-dev (>= 5.19.0~),
          libkf5followupreminder5 (= ${binary:Version}),
          ${misc:Depends},
@@ -101,9 +102,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgrantlee5-dev (>= 5.0~),
-         libkf5akonadicontact-dev (>= 5.2.0~),
+         libkf5akonadicontact-dev (>= 4:16.04.3~),
          libkf5kaddressbookgrantlee5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 5.2.0~),
+         libkf5pimcommon-dev (>= 4:16.04.3~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: follow up reminder library, devel files
@@ -125,7 +126,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:5.2.0~),
+Depends: libkf5akonadi-dev (>= 4:16.04.3~),
          libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -148,7 +149,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:5.2.0~),
+Depends: libkf5akonadi-dev (>= 4:16.04.3~),
          libkf5config-dev (>= 5.19.0~),
          libkf5sendlater5 (= ${binary:Version}),
          ${misc:Depends},
