=== debian/control ===
--- 
+++ 
@@ -9,21 +9,22 @@
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 17.04.3~),
+               libkf5grantleetheme-dev (>= 17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5libkleo-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5libkleo-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
@@ -61,7 +62,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5followupreminder5 (= ${binary:Version}),
          ${misc:Depends},
@@ -85,9 +86,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgrantlee5-dev (>= 5.0~),
-         libkf5akonadicontact-dev (>= 4:17.04.3~),
+         libkf5akonadicontact-dev (>= 4:17.12.3~),
          libkf5kaddressbookgrantlee5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 4:17.04.3~),
+         libkf5pimcommon-dev (>= 4:17.12.3~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: follow up reminder library, devel files
@@ -109,7 +110,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -132,7 +133,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5sendlater5 (= ${binary:Version}),
          ${misc:Depends},
@@ -153,7 +154,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5kaddressbookimportexport5 (= ${binary:Version}),
          ${misc:Depends},
